Bug 483659 - jpegtran in Fedora 10 has no -crop option
jpegtran in Fedora 10 has no -crop option
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libjpeg (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 15:22 EST by Clint Goudie
Modified: 2013-07-02 23:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 475679
Environment:
Last Closed: 2010-06-28 07:11:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clint Goudie 2009-02-02 15:22:56 EST
+++ This bug was initially created as a clone of Bug #475679 +++

Description of problem:

When trying to install Gallery2 on a el5 or fc10 box it says that the jpegtran command does not have the -crop option available, which is true. When I looked for support on this problem it was indicated that Debian, FreeBSD and a few others with the same version of jpegtran: "Independent JPEG Group's JPEGTRAN, version 6b  27-Mar-1998" have this option available.

It appears that a patch was issued for jpegtran which can be found here:

http://sylvana.net/jpegcrop/jpegtran/

It would be nice if this patch could be applied to the el & fedora libjpeg rpms to enable this support.

Thanks!

--- Additional comment from oded@geek.co.il on 2009-01-29 20:27:15 EDT ---

Same problem here - I need jpegtran to support "-crop" for Gallery2 to work properly, but the Fedora/Redhat version of libjpeg does not have the croppatch.

It would be great if someone could patch the fedora version.

--- Additional comment from oded@geek.co.il on 2009-01-29 21:02:57 EDT ---

Created an attachment (id=330425)
patch to libjpeg SPEC file to use the croppatch

Not a person to leave things as they are (and I also rather donate then ask for donations), here is the patch I made for the libjpeg spec from fedora 10 (looks to be the same as the current Rawhide) to include the croppatch (also to be attached shortly).

In addition to the simple adding of the patch, I've also bumped the release number and added a changelog entry, I hope TGL doesn't mind.

--- Additional comment from oded@geek.co.il on 2009-01-29 21:07:00 EDT ---

Created an attachment (id=330426)
croppatch from http://sylvana.net/jpegcrop/jpegtran/

Here is the croppatch itself - this is not the package from http://sylvana.net/jpegcrop/jpegtran/ directly, which contains copies of the original source files - instead I created a patch from all the source changes.

I've tested it on my machines and this looks to be working well - it crops, and gallery2 loves it :-)

The patch file I submitted previously assumes this file will be bziped, but I attached here uncompressed so it will be easier to examine the code changes.

Thanks in advance to anyone who may wish to integrate the changes into any current or future versions of Fedora.

--- Additional comment from oded@geek.co.il on 2009-01-29 21:10:45 EDT ---

In addition, for anyone who is interested, there are pre-built binaries of libjpeg with the croppatch for Fedora 8 on http://rpms.geek.co.il/fc8/ , in addition to the source RPM which will probably build just fine on most other OSs.

--- Additional comment from tgl@redhat.com on 2009-01-29 21:29:10 EDT ---

I have zero interest in carrying a large patch that's not upstream.  If you want to do something useful in this area, join the sourceforge libjpeg project and help them get a release out.

--- Additional comment from oded@geek.co.il on 2009-01-29 22:00:15 EDT ---

Thank you for the comment, and I'll see what I can do in that regard.

In the mean time I hope that the supplied patch and availability of packages will help people who want a solution right now in Fedora. 

Also if you are not interested in having a resolution to this bug in the context of Fedora, then I suggest that you close this ticket (possibly as WONTFIX or something) as there is no reason to string people along. No hard feelings (hey - my personal itch is actually already scratched ;-) ) and good luck.

--- Additional comment from tgl@redhat.com on 2009-01-29 22:09:45 EDT ---

Well, it's *certainly* unlikely to happen in the context of rhel5, which this bug is filed against; so WONTFIX it is.

--- Additional comment from cgoudie@twelvehorses.com on 2009-02-02 15:20:53 EDT ---

I specifically need this in EL5, but I understand the reasons that it wont be propagated there at this time. I'll try to get a bug submitted to the upstream provider referencing this information here.

If I can get a change from the the libjpeg upstream by filing a bug with them, I'll reopen this issue.

I'll clone this bug in Fedora 10 so it can continue there. I probably should have filed this bug in both places to begin with but my primary concerns were here.

Thanks for your help!
Comment 1 Bug Zapper 2009-11-18 05:58:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 08:51:07 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 07:11:18 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.